• Lorenzo "Palinuro" Faletra's avatar
    Import Debian version 2.1.7+parrot1 · 0329b6ee
    Lorenzo "Palinuro" Faletra authored
    apt (2.1.7+parrot1) rolling-testing; urgency=medium
    
      * Import new Debian version.
      * Re-enable https-to-http redirects.
    
    apt (2.1.7) unstable; urgency=medium
    
      [ David Kalnischkies ]
      * Do not hardcode (wrong) group and mode in setup warning (Closes: #962310)
      * Do not sent our filename-provides trick to EDSP solvers (Closes: #962741)
      * Tell EDSP solvers about all installed pkgs ignoring arch
      * Deduplicate EDSP Provides line of M-A:foreign packages
      * Delay removals due to Conflicts until Depends are resolved
      * Filter out impossible solutions for protected propagation
      * Add dependency points in the resolver also to providers
      * Reorder config check before checking systemd for non-interactive http
      * Reorder config check before result looping for SRV parsing debug
      * Fix test due to display change in ls (coreutils 8.32)
      * Detect pkg-config-dpkghook failure in tests to avoid fallback (Closes: #964475)
    
      [ Américo Monteiro ]
      * Portuguese manpages translation update (Closes: #962483)
    
      [ Julian Andres Klode ]
      * Replace some magic 64*1024 with APT_BUFFER_SIZE
      * Add basic support for the Protected field
    
      [ Sergio Oller Moreno ]
      * Minor Catalan grammar typo
    
      [ Frans Spiesschaert ]
      * Dutch program translation update (Closes: #963008)
    
    apt (2.1.6) unstable; urgency=medium
    
      [ David Kalnischkies ]
      * Fix small memory leak in MethodConfig
      * Consider protected packages for removal if they are marked as such
      * Consider if a fix is successful before claiming it is
      * Allow 20 instead of 10 loops for pkgProblemResolver
      * Deal with duplicates in the solution space of a dep
    
    apt (2.1.5) unstable; urgency=medium
    
      [ David Kalnischkies ]
      * Reset candidate version explicitly for internal state-keeping
        (Closes: #961266)
      * Known-bad candidate versions are not an upgrade option
      * Keep status number if candidate is discarded for kept back display
      * Allow pkgDepCache to be asked to check internal consistency
      * Don't update candidate provides map if the same as current
      * Ensure EDSP doesn't use a dangling architecture string
      * Allow FMV SSE4.2 detection to succeed on clang
      * Mark PatternTreeParser::Node destructor as virtual
    
      [ Frans Spiesschaert ]
      * Dutch manpages translation update (Closes: #961431)
    
    apt (2.1.4) unstable; urgency=medium
    
      [ David Kalnischkies ]
      * Check satisfiability for versioned provides, not providing version
    
    apt (2.1.3) unstable; urgency=medium
    
      [ David Kalnischkies ]
      * Prefer use of O_TMPFILE in GetTempFile if available
      * Allow prefix to be a complete filename for GetTempFile
      * Properly handle interrupted write() call in ExtractTar
      * Skip reading data from tar members if nobody will look at it
      * Keep going if a dep is bad for user requests to improve errors
      * Support negative dependencies in VCI::FromDependency
      * Deal with protected solution providers first
      * Propagate protected to already satisfied conflicts (Closes: #960705)
      * Propagate protected to already satisfied dependencies
      * Recognize propagated protected in pkgProblemResolver
    
      [ Julian Andres Klode ]
      * private-search: Only use V.TranslatedDescription() if good (LP: #1877987)
    
    apt (2.1.2) unstable; urgency=critical
    
      [ Julian Andres Klode ]
      * SECURITY UPDATE: Out of bounds read in ar, tar implementations (LP: #1878177)
        - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read in member name
        - apt-pkg/contrib/arfile.cc: Fix out-of-bounds read on unterminated
          member names in error path
        - apt-pkg/contrib/extracttar.cc: Fix out-of-bounds read on unterminated
          member names in error path
        - CVE-2020-3810
    
      [ Frans Spiesschaert ]
      * Dutch program translation update (Closes: #960186)
    0329b6ee
extracttar.cc 8.86 KB